Subject: [Bug][diff][3.3] diff showing difference when there is none

From: 方然 <[email-masked]>
Date: Wed, 10 Apr 2019 12:03:56 +0800

Hi,All:
    I think I encounter a bug about diff.
reproduce:

diff -w -B 3.log 4.log | grep '<' | grep -v 12

< 6 17 23

< 1 8 11

< 0 16 6

< 2 22 8

< 9 14 17

< 7 14 18

< 1 22 14

< 24 6 0

< 16 1 21

< 1 22 16

it is a same line! and if I delete some lines above and below this line
then diff again it shows no difference as I expect.
and not only this line all these lines in the first screenshot are same
lines but show difference in diff.
also use vimdiff to check. and show no difference in vimdiff.

the log file is attached in the mail.

Fang